Package org.eclipse.birt.chart.model.attribute

# Interface ScriptValue

All Superinterfaces:
  `ActionValue`, `org.eclipse.emf.ecore.EObject`, `IChartObject`, `org.eclipse.emf.common.notify.Notifier`

All Known Implementing Classes:
  `ScriptValueImpl`

public interface ScriptValue extends ActionValue
A representation of the model object 'Script Value'. This type defines the value for a 'Invoke_Script' action.

The following features are supported:

- `Script`

See Also:
  - `AttributePackage.getScriptValue()`

## Method Summary

Modifier and Type
Method
Description
`ScriptValue`
`copyInstance()`
`String`
`getScript()`
Returns the value of the 'Script' attribute.
`ScriptExpression`
`getScriptExpression()`
`void`
`setScript(String value)`
Sets the value of the '`Script`' attribute.
`void`
`setScriptExpression(ScriptExpression expression)`

### Methods inherited from interface org.eclipse.birt.chart.model.attribute.ActionValue

`getLabel, setLabel`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Method Details

### getScript

String getScript()
Returns the value of the 'Script' attribute. Attribute "Script" specifies the actual script string to be invoked.

Returns:
  the value of the 'Script' attribute.
See Also:
  - `setScript(String)`
  - `AttributePackage.getScriptValue_Script()`

### setScript

void setScript(String value)
Sets the value of the '`Script`' attribute.

Parameters:
  `value` - the new value of the 'Script' attribute.
See Also:
  - `getScript()`

### copyInstance

ScriptValue copyInstance()

Specified by:
  `copyInstance` in interface `ActionValue`
Specified by:
  `copyInstance` in interface `IChartObject`

### getScriptExpression

ScriptExpression getScriptExpression()

### setScriptExpression

void setScriptExpression(ScriptExpression expression)